Tool: list_services
Lists all publicly listed services.
The following code sample shows how to use curl to call the list_services MCP tool.
| Curl Request |
|---|
curl --location 'https://cloudbilling.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_services", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for ListServices.
ListServicesRequest
| JSON representation |
|---|
{ "pageSize": integer, "pageToken": string } |
| Fields | |
|---|---|
pageSize |
Maximum number of |
pageToken |
Page token received from a previous |
Output Schema
Response message for ListServices.
ListServicesResponse
| JSON representation |
|---|
{
"services": [
{
object ( |
| Fields | |
|---|---|
services[] |
The returned publicly listed |
nextPageToken |
Token that can be sent as |
Service
| JSON representation |
|---|
{ "name": string, "serviceId": string, "displayName": string } |
| Fields | |
|---|---|
name |
Resource name for the |
serviceId |
Identifier for the |
displayName |
Description of the |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌